SparkyLinux Base spins are shipped with no multimedia codecs preinstalled.
As one of our community member suggested I have made a small tool which lets you install all multimedia codecs and web browser plugins via one click.

Installation:
sudo apt-get update
sudo apt-get install sparky-codecs

or
sudo apt-get update
sudo apt-get dist-upgrade

If you make full system upgrade, the package ‘sparky-codecs’ will be installed automatically as a dependency for ‘sparky-aptus-0.2.3’.

To launch it, go to Sparky APTus-> Install-> Install Multimedia Codecs.

Sparky APTus